polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate > Class Template Reference

defines lexicographic comparison functor More...

`#include <pbori_order.h>`

Inheritance diagram for polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate >:

## Public Member Functions

| lex_compare_predicate (const BinaryPredicate &comp)
| Constructor. More...
bool | operator() (const LhsType &lhs, const RhsType &rhs) const
| Functor operation. More...

## Detailed Description

### template<class LhsType, class RhsType, class BinaryPredicate>
class polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate >

defines lexicographic comparison functor

## Constructor & Destructor Documentation

template<class LhsType , class RhsType , class BinaryPredicate >

polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate >::lex_compare_predicate | ( | const BinaryPredicate & | comp | ) |

inline

Constructor.

## Member Function Documentation

template<class LhsType , class RhsType , class BinaryPredicate >

bool polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate >::operator() | ( | const LhsType & | lhs,
|  | const RhsType & | rhs
| ) |  | const

inline

Functor operation.

The documentation for this class was generated from the following file:

- pbori_order.h